#include "ncutException.h"

namespace ncut
{

ncutException::ncutException() throw()
  : std::exception(), errmsg_(NULL)
{
  return;
}

ncutException::ncutException(const char * errmsg) throw()
  : std::exception(), errmsg_(errmsg)
{
  return;
}

ncutException::ncutException(const ncutException& clone) throw()
  : std::exception(), errmsg_(NULL)
{
  *this = clone;
}

const char* ncutException::what() const throw()
{
  return errmsg_;
}

ncutException::~ncutException() throw()
{
  return;
}

ncutException& ncutException::operator=(const ncutException& clone) throw()
{
  this->errmsg_ = clone.errmsg_;

  return *this;
}

ncutCritical::ncutCritical() throw()
  : ncutException()
{
  return;
}

ncutCritical::ncutCritical(const char * errmsg) throw()
  : ncutException(errmsg)
{
  return;
}

ncutCritical::~ncutCritical() throw()
{
  return;
}

} // namespace ncut
